Page MenuHomePhabricator

After saving mobile visual editor edit, the page edited is now unwatched
Closed, ResolvedPublic1 Story Points

Description

  1. Watch a page in mobile view and make sure the watch star is green.
  2. Edit it with the mobile visual editor.
  3. Save changes.
  4. Where the start was green (watched), now is white (unwatched).

I can reproduce this in mediawiki.org and my own personal wiki, with Firefox and Chrome.

In case it is useful, I lost the "watch" here: https://www.mediawiki.org/w/index.php?title=Translation_UX%2FDesign_feedback_1&type=revision&diff=2267891&oldid=1774991

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMove save dialog checkbox code up from DAT into ArticleTarget

Event Timeline

QuimGil created this task.Oct 23 2016, 11:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 23 2016, 11:43 AM
Jdforrester-WMF triaged this task as High priority.Oct 31 2016, 6:22 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Meh. Do we read the wrong setting, write the wrong setting, or is the code ignored/broken?

Change 319974 had a related patch set uploaded (by Alex Monk):
Move save dialog checkbox code up from DAT into ArticleTarget

https://gerrit.wikimedia.org/r/319974

Change 319974 merged by jenkins-bot:
Move save dialog checkbox code up from DAT into ArticleTarget

https://gerrit.wikimedia.org/r/319974

Jdforrester-WMF closed this task as Resolved.Nov 8 2016, 5:16 PM
Jdforrester-WMF removed a project: Patch-For-Review.